NX Open C++ Reference Guide
Classes | Public Types | Public Member Functions | List of all members
NXOpen::Routing::BendCornerCollection Class Reference

Represents a collection of NXOpen::Routing::BendCorner objects. More...

Inheritance diagram for NXOpen::Routing::BendCornerCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Types

enum  Type { TypeRadiusRatio, TypeTable }
 Option for creating a bend using a bend table or using radius or ratio. More...
 

Public Member Functions

NXOpen::Routing::BendCornerAssignCornerByBendRadius (NXOpen::Routing::ControlPoint *bendCrn, double bendRadius)
 This routine assigns a new bend corner to the given input bend corner object using bend radius. More...
 
NXOpen::Routing::BendCornerAssignCornerByBendRatio (NXOpen::Routing::ControlPoint *bendCrn, double bendRatio)
 This routine assigns a new bend corner to the given input bend corner object using bend ratio. More...
 
NXOpen::Routing::BendCornerAssignCornerByBendTable (NXOpen::Routing::ControlPoint *rcp, const NXString &bendTable)
 This routine assigns a bend corner to the given input RCP object using a bend table entry. More...
 
NXOpen::Routing::BendCornerAssignCornerByBendTable (NXOpen::Routing::ControlPoint *rcp, const char *bendTable)
 This routine assigns a bend corner to the given input RCP object using a bend table entry. More...
 
iterator begin ()
 Returns an iterator addressing the first element. More...
 
NXOpen::Routing::BendCornerCreate (NXOpen::Routing::ControlPoint *rcp, bool useBendRatio, double bendRatio, double bendRadius)
 Create a bend corner object at a Control Point. More...
 
NXOpen::Routing::BendCornerCreateCorner (NXOpen::Routing::ControlPoint *rcp, NXOpen::Routing::CornerTypeBuilder::BendMethods bendMethod, double bendRatio, double bendRadius)
 Create a bend corner object at a Control Point. More...
 
iterator end ()
 Returns an iterator addressing one past the last element. More...
 
NXOpen::Routing::BendCornerGetBendAssociatedToSegment (NXOpen::Routing::ISegment *segment)
 Enquire the Bend Corner that this segment represents. More...
 
std::vector
< NXOpen::Routing::BendCorner * > 
GetBendCornersFromObjects (const std::vector< NXOpen::NXObject * > &objects)
 Returns all the corners connected to the given objects, if any. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen::Routing::BendCorner objects.


To obtain an instance of this class, refer to NXOpen::Routing::RouteManager

Created in NX4.0.0.

Member Enumeration Documentation

Option for creating a bend using a bend table or using radius or ratio.

Enumerator
TypeRadiusRatio 

Using radius or ratio to create a bend corner.

TypeTable 

Using a bend table to create a bend corner.

Member Function Documentation

NXOpen::Routing::BendCorner* NXOpen::Routing::BendCornerCollection::AssignCornerByBendRadius ( NXOpen::Routing::ControlPoint bendCrn,
double  bendRadius 
)

This routine assigns a new bend corner to the given input bend corner object using bend radius.

This "assignment" can involve the removal of an existing corner at this location and the creation of a new corner.

Returns
The newly created Bend Corner
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
bendCrnInput bend corner.
bendRadiusRadius of bend corner arc.
NXOpen::Routing::BendCorner* NXOpen::Routing::BendCornerCollection::AssignCornerByBendRatio ( NXOpen::Routing::ControlPoint bendCrn,
double  bendRatio 
)

This routine assigns a new bend corner to the given input bend corner object using bend ratio.

This "assignment" can involve the removal of an existing corner at this location and the creation of a new corner.

Returns
The newly created Bend Corner
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
bendCrnInput bend corner.
bendRatioBend ratio must be greater than 0.5.
NXOpen::Routing::BendCorner* NXOpen::Routing::BendCornerCollection::AssignCornerByBendTable ( NXOpen::Routing::ControlPoint rcp,
const NXString bendTable 
)

This routine assigns a bend corner to the given input RCP object using a bend table entry.

This "assignment" can involve the removal of an existing corner at this location and the creation of a new corner. The application view must be loaded before attempting to assign a bend corner of this type.

Returns
The newly created Bend Corner
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
rcpControl point to assign corner to. NULL not allowed.
bendTableThe bend table entry that is used to create bend corner
NXOpen::Routing::BendCorner* NXOpen::Routing::BendCornerCollection::AssignCornerByBendTable ( NXOpen::Routing::ControlPoint rcp,
const char *  bendTable 
)

This routine assigns a bend corner to the given input RCP object using a bend table entry.

This "assignment" can involve the removal of an existing corner at this location and the creation of a new corner. The application view must be loaded before attempting to assign a bend corner of this type.

Returns
The newly created Bend Corner
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
rcpControl point to assign corner to. NULL not allowed.
bendTableThe bend table entry that is used to create bend corner
iterator NXOpen::Routing::BendCornerCollection::begin ( )

Returns an iterator addressing the first element.

NXOpen::Routing::BendCorner* NXOpen::Routing::BendCornerCollection::Create ( NXOpen::Routing::ControlPoint rcp,
bool  useBendRatio,
double  bendRatio,
double  bendRadius 
)

Create a bend corner object at a Control Point.

Returns
The new bend corner.
Deprecated:
Deprecated in NX8.5.0. Use Routing::BendCornerCollection::CreateCorner instead.


Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
rcpRoute control point to bend.
useBendRatioTRUE: use bend ratio calculation, FALSE: use given radius
bendRatioBend ratio only used if use_bend_ratio is TRUE. Must be greater than 0.5.
bendRadiusRadius of bend corner arc, only used if use_bend_ratio is FALSE. Must be greater than 0.
NXOpen::Routing::BendCorner* NXOpen::Routing::BendCornerCollection::CreateCorner ( NXOpen::Routing::ControlPoint rcp,
NXOpen::Routing::CornerTypeBuilder::BendMethods  bendMethod,
double  bendRatio,
double  bendRadius 
)

Create a bend corner object at a Control Point.

Returns
The new bend corner.
Created in NX8.5.0.

License requirements : routing_base ("Routing Basic")
Parameters
rcpRoute control point to bend.
bendMethodEnumerated bend method.
bendRatioBend ratio is used only if bend method is set to NXOpen::Routing::CornerTypeBuilder::BendMethodsRatioToDiameter . Must be greater than 0.5.
bendRadiusRadius of bend corner arc, used only if bend method is set to NXOpen::Routing::CornerTypeBuilder::BendMethodsRadius . Must be greater than 0.
iterator NXOpen::Routing::BendCornerCollection::end ( )

Returns an iterator addressing one past the last element.

NXOpen::Routing::BendCorner* NXOpen::Routing::BendCornerCollection::GetBendAssociatedToSegment ( NXOpen::Routing::ISegment segment)

Enquire the Bend Corner that this segment represents.

(NULL can be returned, indicating that this segment does not represent a Bend Corner.)

Returns
Bend Corner that segment represents (NULL can be returned,indicating that segment does not represent a Bend Corner).
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
segmentSegment being queried for the Bend Corner it represents.
std::vector<NXOpen::Routing::BendCorner *> NXOpen::Routing::BendCornerCollection::GetBendCornersFromObjects ( const std::vector< NXOpen::NXObject * > &  objects)

Returns all the corners connected to the given objects, if any.

Can find corners from NXOpen::Routing::ControlPoint s, NXOpen::Routing::ISegment s, or NXOpen::Routing::Stock .

Returns

Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
objectsobjects
tag_t NXOpen::Routing::BendCornerCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.